Subject: Re: programs wont read/write stdin/stdout under bash
From: [email-masked] (Steve Bennett)

29 Sep 1998 15:27:54 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

I also had this problem and found that upgrading to the 19.1 release
seemed to fix it.

--Steve

Michael Hirmke wrote:
> 
> Hi Stuart,
> 
> >
> >
> >HI all, I'm having trouble getting compiled C (cygwin19beta gcc) or
> >java (sun jdk) programs to communicate with stdin and stdout when
> >exec'ed from bash (cygwin19beta) under NT4.  reading from stdin always
> >produces an eof and writing produces no input.  It seems as though the
> >child process hasnt got open file descriptors 0,1 or 2.
> 
> set CYGWIN32=tty %CYGWIN32%
> 
> *before* starting the first instance of any cygwin32 program.
> 
> >
> >I suspect I am being incredibly dumb here. Any help gratefully
> >appreciated.
> >
> >stu
> 
> BYe.
> Michael.
> --
> Michael Hirmke           | Telefon +49 (911) 557999
> Georg-Strobel-Strasse 81 | FAX     +49 (911) 557664
> 90489 Nuernberg          | E-Mail  mailto:[email-masked]
>                          | WWW     http://aquarius.franken.de/
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

-- 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Steve Bennett                    Intel, Hillsboro OR

[email-masked]        Phone: 503.696.1063
MRL IA32 CPU research              FAX: 503.696.1442

I do not speak for Intel in any way.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".